ddbg(1)

Name
ddbg — MAPI data debugger

Synopsis
/usr/libexec/gromox/ddbg [options...] command [args...]

Description
ddbg can be used to analyze various binary blobs. If no arguments are given, input is read from stdin. If arguments are given, they are treated as immediate values (i.e. content, never the name of a file to read).

Options

-p, --pack
    Employ hex2bin before main action.

Commands

--bin2hex
    Convert all bytes to hexnibble representation.

--bin2txt
    Convert all bytes to a textual representation. The environment variable BIN2TXT_MODE can be used to influence the output. Possible values are cstr (output as a C string literal without surrounding quotes), hex (hex nibbles like bin2hex), txt (custom compact encoding).

-d, --decode
    Try all decoders.

-A, --decode-action
    Decode rule action blob.

-e, --decode-entryid
    Decode entryid.

--decode-guid
    Lookup GUID.

--decode-nttime
    Decode an NT timestamp and show the equivalent Unix time and calendar-based date.

--decode-restrict
    Decode restriction blob (e.g. rule condition).

--decode-unixtime
    Decode an Unix timestamp and show the equivalent NT time and calendar-based date.

--htmltortf
    Convert a HTML document to RTF.

--htmltotext
    Convert a HTML document to plaintext.

--lzxdec
    Uncompress an lzxpress data stream.

--lzxenc
    Compress data stream with lzxpress.

--rtfcp
    Convert RTF to the RTFCP format, particularly the uncompressed "MELA" subformat.

--rtftohtml
    Convert RTF to HTML.

--texttohtml
    Convert plaintext to HTML.

--unrtfcp
    Decompress RTFCP (either "MELA" or "LZFU") to RTF.

Environment variables
GROMOX_HTMLTOPLAIN can be set to "chawan", "pandoc", "w3m", "internal" to pick one particular htmltoplain implementation. If unset or set to "auto", all of these converters are tried until a working one is found.

GROMOX_HTMLTORTF can be set to "pandoc" or "internal" to pick a particular htmltortf implementation. If unset or set to "auto", all of these converters are tried until a working one is found.

GROMOX_RTFTOHTML can be set to "pandoc" or "internal" to pick a particular htmltortf implementation. If unset or set to "auto", all of these converters are tried until a working one is found.

Examples

•   ddbg -p --decode-guid 38a1bb1005e5101aa1bb08002b2a56c2

•   ddbg --unrtfcp <body.bin >body.rtf

See also
gromox(7)